package services

import (
	"context"
	"dy-test/dyrpc/services/prod"
)

type ProdService struct {
	prod.UnimplementedProdServiceServer
}

func (p *ProdService) GetProdStock(ctx context.Context, request *prod.ProdRequest) (*prod.ProdResponse, error) {
	return &prod.ProdResponse{ProdStock: 20}, nil
}

func (p *ProdService) GetProdStocks(context.Context, *prod.QueryProdStocks) (*prod.ProdStockList, error) {
	prdRes := []*prod.ProdResponse{

		&prod.ProdResponse{ProdStock: 10},
		&prod.ProdResponse{ProdStock: 20},
		&prod.ProdResponse{ProdStock: 30},
	}
	return &prod.ProdStockList{ProdRes: prdRes}, nil
}

func (p *ProdService) mustEmbedUnimplementedProdServiceServer() {

}
